---
title: USBDevice.vendorId
slug: Web/API/USBDevice/vendorID
tags:
  - API
  - Property
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - vendorID
---
<p>{{SeeCompatTable}}{{APIRef("WebUSB API")}}</p>

<p>The <strong><code>vendorId</code></strong> read only property of the {{domxref("USBDevice")}} interface is the official usg.org-assigned vendor ID.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var serialNumber = USBDevice.vendorId</pre>

<h3 id="Value">Value</h3>

<p>The official usg.org-assigned vendor ID.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-vendorid','vendorId')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.vendorId")}}</p>
